Tycho RFQ
List the pools Aqua0 quotes for Tycho
Returns the Uniswap V4 pools on one execution chain where Aqua0 can quote, each with its strategy id and tokens.
Query Parameters
chainId*integer
An execution chain from GET /api/tycho/rfq/chains, for example 8453 for Base.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/tycho/rfq/markets?chainId=0"{ "markets": [ { "chainId": 8453, "poolId": "0x5622e547d200169623684248c4e4ac258688aea6dd540acf5fb26965861e8639", "classId": "38960560214548620419581884607967218229413556116830054641371650059665611327033", "tokens": [ "0x4200000000000000000000000000000000000006", "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913" ] }, { "chainId": 8453, "poolId": "0x6853cf69531738e9aa7371019a488648c155bd4faf6435cdf76d1a4ae994ec78", "classId": "47188616060074969302671775029579695524454420107070428393930920741210546302072", "tokens": [ "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913", "0xfde4C96c8593536E31F229EA8f37b2ADa2699bb2" ] } ]}{ "error": "string", "code": "string", "message": "string", "details": {}}{ "error": "string", "code": "string", "message": "string", "details": {}}